1. Incidents
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Security Event
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
        GET
      • Show
        GET
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Incidents

Create

Developing
POST
http://127.0.0.1:8000/api/incidents
Creates a new incident in the system.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success Create
application/json
Bodyapplication/json

🟠422Error Create
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1:8000/api/incidents' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json' \
--data '{
    "alert_id": 3,
    "assigned_to": 2,
    "title": "Unauthorized Access Investigation",
    "description": "Unauthorized access attempts were reviewed and access controls were reinforced.",
    "severity": "high",
    "status": "mitigated",
    "started_at": "2026-05-28 10:08:00",
    "closed_at": "2026-05-28 11:30:00"
}'
Response Response Example
200 - Éxito
{
    "message": "Incident created successfully",
    "data": {
        "id": 3,
        "alert": "Unauthorized access attempt detected on a protected endpoint.",
        "assigned_to": "analyst",
        "title": "Unauthorized Access Investigation",
        "severity": "high",
        "status": "mitigated"
    }
}
Modified at 2026-06-19 14:45:44
Previous
Show
Next
Update
Built with